| QxOrm 1.2.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Private Types
qx::trait::is_container_key_value< T > Class Template Reference
QxTraits : QxOrm library traits (template metaprogramming) not available in 'boost::type_traits' library

qx::trait::is_container_key_value<T>::value : return true if T is a map or hash-map (with <Key, Value> template format) container from stl, boost, Qt or QxOrm library, otherwise return false More...

`#include <is_container_key_value.h>`

List of all members.

## Public Types
enum | { value = (qx::trait::is_container<T>::value && qx::trait::is_container_key_value<T>::type_is_container_key_value::value) }
typedef boost::mpl::if_c < qx::trait::is_container_key_value < T >::value, boost::mpl::true_, boost::mpl::false_ >::type | type
## Private Types
typedef boost::mpl::or_ < qx::trait::is_boost_unordered_map < T >, qx::trait::is_std_map < T >, qx::trait::is_qt_map< T > , qx::trait::is_qt_hash< T > >::type | cond_is_container_key_value_1
typedef boost::mpl::or_ < typename qx::trait::is_container_key_value < T > ::cond_is_container_key_value_1, qx::trait::is_qt_multi_map< T > , qx::trait::is_qt_multi_hash < T > , qx::trait::is_qx_collection < T > >::type | cond_is_container_key_value_2
typedef boost::mpl::if_ < typename qx::trait::is_container_key_value < T > ::cond_is_container_key_value_2, boost::mpl::true_, boost::mpl::false_ >::type | type_is_container_key_value

## Detailed Description

### template<typename T>
class qx::trait::is_container_key_value< T >

qx::trait::is_container_key_value<T>::value : return true if T is a map or hash-map (with <Key, Value> template format) container from stl, boost, Qt or QxOrm library, otherwise return false

Definition at line 60 of file is_container_key_value.h.

## Member Typedef Documentation

template<typename T >

typedef boost::mpl::or_< qx::trait::is_boost_unordered_map<T>, qx::trait::is_std_map<T>, qx::trait::is_qt_map<T>, qx::trait::is_qt_hash<T> >::type qx::trait::is_container_key_value< T >::cond_is_container_key_value_1`[private]`

Definition at line 68 of file is_container_key_value.h.

template<typename T >

typedef boost::mpl::or_< typename qx::trait::is_container_key_value<T>::cond_is_container_key_value_1, qx::trait::is_qt_multi_map<T>, qx::trait::is_qt_multi_hash<T>, qx::trait::is_qx_collection<T> >::type qx::trait::is_container_key_value< T >::cond_is_container_key_value_2`[private]`

Definition at line 73 of file is_container_key_value.h.

template<typename T >

typedef boost::mpl::if_c<qx::trait::is_container_key_value<T>::value, boost::mpl::true_, boost::mpl::false_>::type qx::trait::is_container_key_value< T >::type

Definition at line 83 of file is_container_key_value.h.

template<typename T >

typedef boost::mpl::if_< typename qx::trait::is_container_key_value<T>::cond_is_container_key_value_2, boost::mpl::true_, boost::mpl::false_ >::type qx::trait::is_container_key_value< T >::type_is_container_key_value`[private]`

Definition at line 77 of file is_container_key_value.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator:

  value |

Definition at line 81 of file is_container_key_value.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/is_container_key_value.h